diff -urN ooo_SRC680_m223_src/bridges.orig/prj/build.lst ooo_SRC680_m223_src/bridges/prj/build.lst
--- ooo_SRC680_m223_src/bridges.orig/prj/build.lst	2007-07-30 20:33:17.000000000 +0200
+++ ooo_SRC680_m223_src/bridges/prj/build.lst	2007-07-30 20:34:29.000000000 +0200
@@ -17,6 +17,7 @@
 br	bridges\source\cpp_uno\gcc3_linux_sparc		nmake	-	u	br_gccl3s br_unotypes br_cppuno_shared br_inc NULL
 br	bridges\source\cpp_uno\gcc3_macosx_intel			nmake	-	u	br_gcc3macoxi br_cppuno_shared br_unotypes br_inc NULL
 br	bridges\source\cpp_uno\gcc3_macosx_powerpc			nmake	-	u	br_gcc3macoxp br_cppuno_shared br_unotypes br_inc NULL
+br	bridges\source\cpp_uno\gcc3_macosx_universal			nmake	-	u	br_gcc3macoxu br_gcc3macoxi.u br_gcc3macoxp.u NULL
 br	bridges\source\cpp_uno\cc50_solaris_sparc			nmake	-	u	br_cc50sols br_unotypes br_cppuno_shared br_inc NULL
 br	bridges\source\cpp_uno\cc50_solaris_intel			nmake	-	u	br_cc50soli br_unotypes br_cppuno_shared br_inc NULL
 br	bridges\source\cpp_uno\gcc3_solaris_sparc			nmake	-	u	br_gcc3sogs br_cppuno_shared br_unotypes br_inc NULL
diff -urN ooo_SRC680_m223_src/bridges.orig/source/cpp_uno/gcc3_macosx_intel/makefile.mk ooo_SRC680_m223_src/bridges/source/cpp_uno/gcc3_macosx_intel/makefile.mk
--- ooo_SRC680_m223_src/bridges.orig/source/cpp_uno/gcc3_macosx_intel/makefile.mk	2007-07-30 20:33:17.000000000 +0200
+++ ooo_SRC680_m223_src/bridges/source/cpp_uno/gcc3_macosx_intel/makefile.mk	2007-07-30 20:35:49.000000000 +0200
@@ -44,9 +44,16 @@
 
 .INCLUDE :  settings.mk
 
+.IF "$(CPU)" == "U"
+# PJ: temporary disable universal binaries build for bridges
+UNIVERSAL_CFLAGS=-arch i386
+UNIVERSAL_LDFLAGS=-arch i386
+TARGET=gcc3_uno_i386
+.ENDIF
+
 # --- Files --------------------------------------------------------
 
-.IF "$(COM)$(OS)$(CPU)$(COMNAME)" == "GCCMACOSXIgcc3"
+.IF "$(COM)$(OS)$(CPU)$(COMNAME)" == "GCCMACOSXIgcc3" || "$(NATIVE_CPU)" == "I"
 
 .IF "$(cppu_no_leak)" == ""
 CFLAGS += -DLEAK_STATIC_DATA
diff -urN ooo_SRC680_m223_src/bridges.orig/source/cpp_uno/gcc3_macosx_powerpc/makefile.mk ooo_SRC680_m223_src/bridges/source/cpp_uno/gcc3_macosx_powerpc/makefile.mk
--- ooo_SRC680_m223_src/bridges.orig/source/cpp_uno/gcc3_macosx_powerpc/makefile.mk	2007-07-30 20:33:17.000000000 +0200
+++ ooo_SRC680_m223_src/bridges/source/cpp_uno/gcc3_macosx_powerpc/makefile.mk	2007-07-30 20:37:57.000000000 +0200
@@ -44,24 +44,36 @@
 
 .INCLUDE :  settings.mk
 
+.IF "$(CPU)" == "U"
+# PJ: temporary disable universal binaries build for bridges
+UNIVERSAL_CFLAGS=-arch ppc
+UNIVERSAL_LDFLAGS=-arch ppc
+TARGET=gcc3_uno_ppc
+
+# Do not run checkdll on this library, because it is PPC only, thus
+# checkdll would fail!
+SHL1NOCHECK=YES
+
+.ENDIF
+
 # --- Files --------------------------------------------------------
 
-.IF "$(COM)$(OS)$(CPU)$(COMNAME)" == "GCCMACOSXPgcc3"
+.IF "$(COM)$(OS)$(CPU)$(COMNAME)" == "GCCMACOSXPgcc3" || "$(NATIVE_CPU)" == "P" || "$(CPU)" == "U"
 
 .IF "$(cppu_no_leak)" == ""
 CFLAGS += -DLEAK_STATIC_DATA
 .ENDIF
 
 NOOPTFILES= \
-	$(SLO)$/uno2cpp.obj
+	$(SLO)$/powerpc_uno2cpp.obj
 
 
 CFLAGSNOOPT=-O0
 
 SLOFILES= \
-	$(SLO)$/except.obj		\
-	$(SLO)$/cpp2uno.obj		\
-	$(SLO)$/uno2cpp.obj
+	$(SLO)$/powerpc_except.obj		\
+	$(SLO)$/powerpc_cpp2uno.obj		\
+	$(SLO)$/powerpc_uno2cpp.obj
 
 SHL1TARGET= $(TARGET)
 
diff -urN ooo_SRC680_m223_src/bridges.orig/source/cpp_uno/gcc3_macosx_universal/makefile.mk ooo_SRC680_m223_src/bridges/source/cpp_uno/gcc3_macosx_universal/makefile.mk
--- ooo_SRC680_m223_src/bridges.orig/source/cpp_uno/gcc3_macosx_universal/makefile.mk	1970-01-01 01:00:00.000000000 +0100
+++ ooo_SRC680_m223_src/bridges/source/cpp_uno/gcc3_macosx_universal/makefile.mk	2007-07-30 20:34:53.000000000 +0200
@@ -0,0 +1,52 @@
+#*************************************************************************
+#
+#   OpenOffice.org - a multi-platform office productivity suite
+#
+#   $RCSfile: makefile.mk,v $
+#
+#   $Revision: 1.3 $
+#
+#   last change: $Author: obo $ $Date: 2007/01/25 13:28:52 $
+#
+#   The Contents of this file are made available subject to
+#   the terms of GNU Lesser General Public License Version 2.1.
+#
+#
+#     GNU Lesser General Public License Version 2.1
+#     =============================================
+#     Copyright 2005 by Sun Microsystems, Inc.
+#     901 San Antonio Road, Palo Alto, CA 94303, USA
+#
+#     This library is free software; you can redistribute it and/or
+#     modify it under the terms of the GNU Lesser General Public
+#     License version 2.1, as published by the Free Software Foundation.
+#
+#     This library is distributed in the hope that it will be useful,
+#     but WITHOUT ANY WARRANTY; without even the implied warranty of
+#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+#     Lesser General Public License for more details.
+#
+#     You should have received a copy of the GNU Lesser General Public
+#     License along with this library; if not, write to the Free Software
+#     Foundation, Inc., 59 Temple Place, Suite 330, Boston,
+#     MA  02111-1307  USA
+#
+#*************************************************************************
+
+PRJ=..$/..$/..
+
+PRJNAME=bridges
+TARGET=gcc3_uno
+LIBTARGET=no
+ENABLE_EXCEPTIONS=TRUE
+
+# --- Settings -----------------------------------------------------
+
+.INCLUDE :  settings.mk
+
+$(LB)/lib$(TARGET).dylib:
+.IF "$(CPU)" == "U"
+	lipo -create $(LB)/libgcc3_uno_i386.dylib $(LB)/libgcc3_uno_ppc.dylib -output $(LB)/libgcc3_uno.dylib
+.ELSE
+	echo "Nothing to do."
+.ENDIF
